<?php

namespace Lavalite\Blog;

use User;

class Blog
{
    /**
     * $blog object.
     */
    protected $blog;
    /**
     * $blog_category object.
     */
    protected $blog_category;

    /**
     * Constructor.
     */
    public function __construct(\Lavalite\Blog\Interfaces\BlogRepositoryInterface $blog,
        \Lavalite\Blog\Interfaces\BlogCategoryRepositoryInterface $blog_category)
    {
        $this->blog = $blog;
        $this->blog_category = $blog_category;
    }

    /**
     * Returns count of blog.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.blog.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->blog->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\BlogUserCriteria());
        }

        $blog = $this->blog->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('blog::' . $view, compact('blog'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.blog_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->blog_category->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\BlogCategoryUserCriteria());
        }

        $blog_category = $this->blog_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('blog::' . $view, compact('blog_category'))->render();
    }
}
