<?php

namespace Lavalite\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogItemTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Blog\Models\Blog $blog)
    {
        return [
            'id'                => $blog->getRouteKey(),
            'id'                => $blog->id,
            'category_id'       => $blog->category_id,
            'name'              => $blog->name,
            'slug'              => $blog->slug,
            'author'            => $blog->author,
            'description'       => $blog->description,
            'published'         => $blog->published,
            'images'            => $blog->images,
            'deleted_at'        => $blog->deleted_at,
            'created_at'        => $blog->created_at,
            'updated_at'        => $blog->updated_at,
            'status'            => trans('app.'.$blog->status),
            'created_at'        => format_date($blog->created_at),
            'updated_at'        => format_date($blog->updated_at),
        ];
    }
}